<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Data/Git/MeLOn/feedforward neural network/model/inc/AnnParser.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('_ann_parser_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AnnParser.h</div></div>
</div><!--header-->
<div class="contents">
<a href="_ann_parser_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**********************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">* Copyright (c) 2020 Process Systems Engineering (AVT.SVT), RWTH Aachen University</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">*</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">* This program and the accompanying materials are made available under the</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">* terms of the Eclipse Public License 2.0 which is available at</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">* http://www.eclipse.org/legal/epl-2.0.</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment">* SPDX-License-Identifier: EPL-2.0</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment">*</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">* @file AnnParser.h</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">* @brief File containing declaration of the ann parser classes.</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">*</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">**********************************************************************************/</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#include &lt;string&gt;</span>       <span class="comment">// std::string</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;vector&gt;</span>       <span class="comment">// std::vector</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#include &lt;memory&gt;</span>       <span class="comment">// std::shared_ptr, std::unique_ptr</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#include &quot;<a class="code" href="tinyxml2_8h.html">tinyxml2.h</a>&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#include &quot;<a class="code" href="_ann_properties_8h.html">AnnProperties.h</a>&quot;</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#include &quot;<a class="code" href="model_parser_8h.html">modelParser.h</a>&quot;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacemelon.html">melon</a> {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="foldopen" id="foldopen00034" data-start="{" data-end="};">
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser.html">   34</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_ann_parser.html">AnnParser</a>: <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_model_parser.html">ModelParser</a> {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_enumeration" href="namespacemelon.html#a48f12885945641a41597e6668940dc73">ACTIVATION_FUNCTION</a> <a class="code hl_function" href="classmelon_1_1_ann_parser.html#a3c68338943ed45fc0415214743a9260a">_string_to_activation_function</a>(<span class="keyword">const</span> std::string&amp; activationFunctionName);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser.html#ad55c71474bb6154af7a8b4696ababdea">   56</a></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;ModelData&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser.html#ad55c71474bb6154af7a8b4696ababdea">parse_model</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName) = 0;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    };</div>
</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="foldopen" id="foldopen00065" data-start="{" data-end="};">
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser_csv.html">   65</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_ann_parser_csv.html">AnnParserCsv</a> : <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_ann_parser.html">AnnParser</a> {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser_csv.html#a13f2f35cccf15eebd7f43051e3dd580b">   67</a></span>        <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="classmelon_1_1_ann_parser_csv.html#a13f2f35cccf15eebd7f43051e3dd580b">LAYER_INDICATOR_BASE</a> = 900;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        std::vector&lt;std::vector&lt;std::string&gt;&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a62c3571187204d00db093bffcea3e78b">_csv_to_string_matrix</a>(std::string fileName);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        std::vector&lt;std::vector&lt;double&gt;&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#addcc0d8ec8d50f6b46e00255074eb2e5">_csv_to_double_matrix</a>(std::string fileName);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordtype">void</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a9435ee55ff3adb985753db65e7d6317b">_parse_config_file</a>(<a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&amp; structure);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordtype">void</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a72fa1cdae520c5091c34b66a11f0ba1e">_parse_scalers</a>(std::shared_ptr&lt;ScalerData&gt; inputScalerData, std::shared_ptr&lt;ScalerData&gt; outputScalerData, <span class="keyword">const</span> <a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&amp; structure);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordtype">void</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a176bb1733a3cd18a2b2338b545bcca20">_parse_bias_weights</a>(<span class="keyword">const</span> <a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&amp; structure, <a class="code hl_struct" href="structmelon_1_1_ann_weights.html">AnnWeights</a>&amp; weights);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordtype">void</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#abb1c95707f3e36cba0e03ff10523290f">_parse_layer_weights</a>(<span class="keyword">const</span> <a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&amp; structure, <a class="code hl_struct" href="structmelon_1_1_ann_weights.html">AnnWeights</a>&amp; weights);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordtype">void</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a885305c2d03d62791104e15b3c85e666">_parse_input_weights</a>(<span class="keyword">const</span> <a class="code hl_struct" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&amp; structure, <a class="code hl_struct" href="structmelon_1_1_ann_weights.html">AnnWeights</a>&amp; weights);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordtype">bool</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a6013cbdce74b67a4313bf237064771fd">_check_if_layer_indicator</a>(<span class="keywordtype">int</span> number);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">int</span> <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#a695e63a6f420c2a3b7cd5fd4a692a282">_get_layer_index_from_indicator</a>(<span class="keywordtype">int</span> indicator);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        std::shared_ptr&lt;ModelData&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser_csv.html#ab0348883fd88c5c6b498f26301a33a49">parse_model</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    };</div>
</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="foldopen" id="foldopen00170" data-start="{" data-end="};">
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser_xml.html">  170</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_ann_parser_xml.html">AnnParserXml</a> : <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_ann_parser.html">AnnParser</a> {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <a class="code hl_enumeration" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">tinyxml2::XMLError</a> <a class="code hl_function" href="classmelon_1_1_ann_parser_xml.html#a95f925940a1f91a62e1a571d60d91f09">_parse_vector_int</a>(<a class="code hl_class" href="classtinyxml2_1_1_x_m_l_element.html">tinyxml2::XMLElement</a> *parentElement, <span class="keyword">const</span> std::string vectorName, std::vector&lt;int&gt;&amp; vector);</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <a class="code hl_enumeration" href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">tinyxml2::XMLError</a> <a class="code hl_function" href="classmelon_1_1_ann_parser_xml.html#a9823c0bbad2748b2796f0243b85e1b2f">_parse_vector_double</a>(<a class="code hl_class" href="classtinyxml2_1_1_x_m_l_element.html">tinyxml2::XMLElement</a> *parentElement, <span class="keyword">const</span> std::string vectorName, std::vector&lt;double&gt;&amp; vector);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>        std::shared_ptr&lt;ModelData&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser_xml.html#ace18e736a1ae5e2af87aa15de2c318af">parse_model</a>(<span class="keyword">const</span> std::string modelPath, <span class="keyword">const</span> std::string modelName);</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    };</div>
</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="foldopen" id="foldopen00215" data-start="{" data-end="};">
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="classmelon_1_1_ann_parser_factory.html">  215</a></span>    <span class="keyword">class </span><a class="code hl_class" href="classmelon_1_1_ann_parser_factory.html">AnnParserFactory</a>: <span class="keyword">public</span> <a class="code hl_class" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keyword">public</span>:</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        std::unique_ptr&lt;ModelParser&gt; <a class="code hl_function" href="classmelon_1_1_ann_parser_factory.html#a2fc484dcb4a19a486a409dd64f0d9304">create_model_parser</a>(<span class="keyword">const</span> <a class="code hl_enumeration" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    };</div>
</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>}</div>
<div class="ttc" id="a_ann_properties_8h_html"><div class="ttname"><a href="_ann_properties_8h.html">AnnProperties.h</a></div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html">melon::AnnParserCsv</a></div><div class="ttdoc">This class implements an specialization of the AnnParser for csv files.</div><div class="ttdef"><b>Definition</b> AnnParser.h:65</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a13f2f35cccf15eebd7f43051e3dd580b"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a13f2f35cccf15eebd7f43051e3dd580b">melon::AnnParserCsv::LAYER_INDICATOR_BASE</a></div><div class="ttdeci">const int LAYER_INDICATOR_BASE</div><div class="ttdef"><b>Definition</b> AnnParser.h:67</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a176bb1733a3cd18a2b2338b545bcca20"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a176bb1733a3cd18a2b2338b545bcca20">melon::AnnParserCsv::_parse_bias_weights</a></div><div class="ttdeci">void _parse_bias_weights(const AnnStructure &amp;structure, AnnWeights &amp;weights)</div><div class="ttdoc">Parses the bias weights.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:177</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a6013cbdce74b67a4313bf237064771fd"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a6013cbdce74b67a4313bf237064771fd">melon::AnnParserCsv::_check_if_layer_indicator</a></div><div class="ttdeci">bool _check_if_layer_indicator(int number)</div><div class="ttdoc">Checks if passed number is a layer indicator.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:454</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a62c3571187204d00db093bffcea3e78b"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a62c3571187204d00db093bffcea3e78b">melon::AnnParserCsv::_csv_to_string_matrix</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; _csv_to_string_matrix(std::string fileName)</div><div class="ttdoc">Parses the content of an csv file into a string matrix.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:419</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a695e63a6f420c2a3b7cd5fd4a692a282"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a695e63a6f420c2a3b7cd5fd4a692a282">melon::AnnParserCsv::_get_layer_index_from_indicator</a></div><div class="ttdeci">int _get_layer_index_from_indicator(int indicator)</div><div class="ttdoc">Extracts layer index from a layer indicator.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:461</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a72fa1cdae520c5091c34b66a11f0ba1e"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a72fa1cdae520c5091c34b66a11f0ba1e">melon::AnnParserCsv::_parse_scalers</a></div><div class="ttdeci">void _parse_scalers(std::shared_ptr&lt; ScalerData &gt; inputScalerData, std::shared_ptr&lt; ScalerData &gt; outputScalerData, const AnnStructure &amp;structure)</div><div class="ttdoc">Parses the input and output scalers.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:131</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a885305c2d03d62791104e15b3c85e666"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a885305c2d03d62791104e15b3c85e666">melon::AnnParserCsv::_parse_input_weights</a></div><div class="ttdeci">void _parse_input_weights(const AnnStructure &amp;structure, AnnWeights &amp;weights)</div><div class="ttdoc">Parses the input weights.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:239</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_a9435ee55ff3adb985753db65e7d6317b"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#a9435ee55ff3adb985753db65e7d6317b">melon::AnnParserCsv::_parse_config_file</a></div><div class="ttdeci">void _parse_config_file(AnnStructure &amp;structure)</div><div class="ttdoc">Parses the configuration csv file.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:59</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_ab0348883fd88c5c6b498f26301a33a49"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#ab0348883fd88c5c6b498f26301a33a49">melon::AnnParserCsv::parse_model</a></div><div class="ttdeci">std::shared_ptr&lt; ModelData &gt; parse_model(const std::string modelPath, const std::string modelName)</div><div class="ttdoc">Parsing function which is used to get the ANN data from a csv file.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:33</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_abb1c95707f3e36cba0e03ff10523290f"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#abb1c95707f3e36cba0e03ff10523290f">melon::AnnParserCsv::_parse_layer_weights</a></div><div class="ttdeci">void _parse_layer_weights(const AnnStructure &amp;structure, AnnWeights &amp;weights)</div><div class="ttdoc">Parses the layer weights.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:309</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_csv_html_addcc0d8ec8d50f6b46e00255074eb2e5"><div class="ttname"><a href="classmelon_1_1_ann_parser_csv.html#addcc0d8ec8d50f6b46e00255074eb2e5">melon::AnnParserCsv::_csv_to_double_matrix</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; double &gt; &gt; _csv_to_double_matrix(std::string fileName)</div><div class="ttdoc">Parses the content of an csv file into a double matrix.</div><div class="ttdef"><b>Definition</b> AnnParserCSV.cpp:384</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_factory_html"><div class="ttname"><a href="classmelon_1_1_ann_parser_factory.html">melon::AnnParserFactory</a></div><div class="ttdoc">This class is a factory class for creating child instances of AnnParser.</div><div class="ttdef"><b>Definition</b> AnnParser.h:215</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_factory_html_a2fc484dcb4a19a486a409dd64f0d9304"><div class="ttname"><a href="classmelon_1_1_ann_parser_factory.html#a2fc484dcb4a19a486a409dd64f0d9304">melon::AnnParserFactory::create_model_parser</a></div><div class="ttdeci">std::unique_ptr&lt; ModelParser &gt; create_model_parser(const MODEL_FILE_TYPE fileType) override</div><div class="ttdoc">Factory function for creating a instance of an ann parser corresponding to the specified file type.</div><div class="ttdef"><b>Definition</b> AnnParser.cpp:25</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_html"><div class="ttname"><a href="classmelon_1_1_ann_parser.html">melon::AnnParser</a></div><div class="ttdoc">This class implements an abstract parent class for ANN file parser.</div><div class="ttdef"><b>Definition</b> AnnParser.h:34</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_html_a3c68338943ed45fc0415214743a9260a"><div class="ttname"><a href="classmelon_1_1_ann_parser.html#a3c68338943ed45fc0415214743a9260a">melon::AnnParser::_string_to_activation_function</a></div><div class="ttdeci">ACTIVATION_FUNCTION _string_to_activation_function(const std::string &amp;activationFunctionName)</div><div class="ttdoc">Turns a string containing the name of an activation function in the correct enum representation.</div><div class="ttdef"><b>Definition</b> AnnParser.cpp:41</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_html_ad55c71474bb6154af7a8b4696ababdea"><div class="ttname"><a href="classmelon_1_1_ann_parser.html#ad55c71474bb6154af7a8b4696ababdea">melon::AnnParser::parse_model</a></div><div class="ttdeci">virtual std::shared_ptr&lt; ModelData &gt; parse_model(const std::string modelPath, const std::string modelName)=0</div><div class="ttdoc">Abstract function for defining the structure of the parsing function which is used to get the ANN dat...</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_xml_html"><div class="ttname"><a href="classmelon_1_1_ann_parser_xml.html">melon::AnnParserXml</a></div><div class="ttdoc">This class implements an specialization of the AnnParser for xml files.</div><div class="ttdef"><b>Definition</b> AnnParser.h:170</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_xml_html_a95f925940a1f91a62e1a571d60d91f09"><div class="ttname"><a href="classmelon_1_1_ann_parser_xml.html#a95f925940a1f91a62e1a571d60d91f09">melon::AnnParserXml::_parse_vector_int</a></div><div class="ttdeci">tinyxml2::XMLError _parse_vector_int(tinyxml2::XMLElement *parentElement, const std::string vectorName, std::vector&lt; int &gt; &amp;vector)</div><div class="ttdoc">Parses child elements of an xml element into an vector of int.</div><div class="ttdef"><b>Definition</b> AnnParserXML.cpp:363</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_xml_html_a9823c0bbad2748b2796f0243b85e1b2f"><div class="ttname"><a href="classmelon_1_1_ann_parser_xml.html#a9823c0bbad2748b2796f0243b85e1b2f">melon::AnnParserXml::_parse_vector_double</a></div><div class="ttdeci">tinyxml2::XMLError _parse_vector_double(tinyxml2::XMLElement *parentElement, const std::string vectorName, std::vector&lt; double &gt; &amp;vector)</div><div class="ttdoc">Parses child elements of an xml element into an vector of double.</div><div class="ttdef"><b>Definition</b> AnnParserXML.cpp:384</div></div>
<div class="ttc" id="aclassmelon_1_1_ann_parser_xml_html_ace18e736a1ae5e2af87aa15de2c318af"><div class="ttname"><a href="classmelon_1_1_ann_parser_xml.html#ace18e736a1ae5e2af87aa15de2c318af">melon::AnnParserXml::parse_model</a></div><div class="ttdeci">std::shared_ptr&lt; ModelData &gt; parse_model(const std::string modelPath, const std::string modelName)</div><div class="ttdoc">Parsing function which is used to get the ANN data from a xml file.</div><div class="ttdef"><b>Definition</b> AnnParserXML.cpp:26</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_factory_html"><div class="ttname"><a href="classmelon_1_1_model_parser_factory.html">melon::ModelParserFactory</a></div><div class="ttdoc">This class is a abstract parent class for model parser factories implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:108</div></div>
<div class="ttc" id="aclassmelon_1_1_model_parser_html"><div class="ttname"><a href="classmelon_1_1_model_parser.html">melon::ModelParser</a></div><div class="ttdoc">This class is a abstract parent class for model parser implemented in the MeLOn library.</div><div class="ttdef"><b>Definition</b> modelParser.h:40</div></div>
<div class="ttc" id="aclasstinyxml2_1_1_x_m_l_element_html"><div class="ttname"><a href="classtinyxml2_1_1_x_m_l_element.html">tinyxml2::XMLElement</a></div><div class="ttdef"><b>Definition</b> tinyxml2.h:1259</div></div>
<div class="ttc" id="amodel_parser_8h_html"><div class="ttname"><a href="model_parser_8h.html">modelParser.h</a></div></div>
<div class="ttc" id="anamespacemelon_html"><div class="ttname"><a href="namespacemelon.html">melon</a></div><div class="ttdef"><b>Definition</b> kernel.h:21</div></div>
<div class="ttc" id="anamespacemelon_html_a4304be33fc99f22bd328db5774394531"><div class="ttname"><a href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">melon::MODEL_FILE_TYPE</a></div><div class="ttdeci">MODEL_FILE_TYPE</div><div class="ttdoc">Enum for representing the parsable filetypes.</div><div class="ttdef"><b>Definition</b> modelParser.h:30</div></div>
<div class="ttc" id="anamespacemelon_html_a48f12885945641a41597e6668940dc73"><div class="ttname"><a href="namespacemelon.html#a48f12885945641a41597e6668940dc73">melon::ACTIVATION_FUNCTION</a></div><div class="ttdeci">ACTIVATION_FUNCTION</div><div class="ttdoc">Enum for representing the available types of scaler parameters.</div><div class="ttdef"><b>Definition</b> AnnProperties.h:30</div></div>
<div class="ttc" id="anamespacetinyxml2_html_a1fbf88509c3ac88c09117b1947414e08"><div class="ttname"><a href="namespacetinyxml2.html#a1fbf88509c3ac88c09117b1947414e08">tinyxml2::XMLError</a></div><div class="ttdeci">XMLError</div><div class="ttdef"><b>Definition</b> tinyxml2.h:522</div></div>
<div class="ttc" id="astructmelon_1_1_ann_structure_html"><div class="ttname"><a href="structmelon_1_1_ann_structure.html">melon::AnnStructure</a></div><div class="ttdoc">struct containing all information regarding the structure of a feedforward neural network</div><div class="ttdef"><b>Definition</b> AnnProperties.h:42</div></div>
<div class="ttc" id="astructmelon_1_1_ann_weights_html"><div class="ttname"><a href="structmelon_1_1_ann_weights.html">melon::AnnWeights</a></div><div class="ttdoc">struct containing the different weights of a feedforward neural network</div><div class="ttdef"><b>Definition</b> AnnProperties.h:59</div></div>
<div class="ttc" id="atinyxml2_8h_html"><div class="ttname"><a href="tinyxml2_8h.html">tinyxml2.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_81c62c849c41b038c690bb0249c57a89.html">model</a></li><li class="navelem"><a class="el" href="dir_0483e226728de3cf46b78d7534efffda.html">inc</a></li><li class="navelem"><a class="el" href="_ann_parser_8h.html">AnnParser.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
